Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.deploy
Class ResourceBase

    java.lang.Object
      org.apache.catalina.deploy.ResourceBase

All Implemented Interfaces:
  Serializable, Injectable

Direct Known Subclasses:
  ContextEjb, ContextEnvironment, ContextHandler, ContextLocalEjb, ContextResource, ContextResourceEnvRef, ContextResourceLink, ContextService, MessageDestination, MessageDestinationRef

    public class ResourceBase

extends Object
implements Serializable, Injectable

Representation of an Context element

Version:
  $Id: ResourceBase.java 1301210 2012-03-15 21:22:10Z markt $
Author:
  Peter Rossbach (pero@apache.org)
See Also:
  Serialized Form

Field Summary
`protected NamingResources` | `resources` The NamingResources with which we are associated (if any).

Constructor Summary
`ResourceBase()`

Method Summary
`void` | `addInjectionTarget(String injectionTargetName, String jndiName)`
`boolean` | `equals(Object obj)`
`String` | `getDescription()`
`List<InjectionTarget>` | `getInjectionTargets()`
`String` | `getName()`
`NamingResources` | `getNamingResources()`
`Object` | `getProperty(String name)` Return a configured property.
`String` | `getType()`
`int` | `hashCode()`
`Iterator<String>` | `listProperties()` List properties.
`void` | `removeProperty(String name)` Remove a configured property.
`void` | `setDescription(String description)`
`void` | `setName(String name)`
`void` | `setProperty(String name, Object value)` Set a configured property.
`void` | `setType(String type)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### resources

    protected NamingResources resources

  The NamingResources with which we are associated (if any).

Constructor Detail

### ResourceBase

    public ResourceBase()

Method Detail

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

### getName

    public String getName()

  Specified by:
    `getName` in interface `Injectable`

### setName

    public void setName(String name)

### getType

    public String getType()

### setType

    public void setType(String type)

### getProperty

    public Object getProperty(String name)

  Return a configured property.

### setProperty

    public void setProperty(String name,
                            Object value)

  Set a configured property.

### removeProperty

    public void removeProperty(String name)

  Remove a configured property.

### listProperties

    public Iterator<String> listProperties()

  List properties.

### addInjectionTarget

    public void addInjectionTarget(String injectionTargetName,
                                   String jndiName)

  Specified by:
    `addInjectionTarget` in interface `Injectable`

### getInjectionTargets

    public List<InjectionTarget> getInjectionTargets()

  Specified by:
    `getInjectionTargets` in interface `Injectable`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### getNamingResources

    public NamingResources getNamingResources()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.